Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.ogcwebservices.wfs.operation
Enum LockFeature.ALL_SOME_TYPE

    java.lang.Object
      java.lang.Enum<LockFeature.ALL_SOME_TYPE>
          org.deegree.ogcwebservices.wfs.operation.LockFeature.ALL_SOME_TYPE

All Implemented Interfaces:
  Serializable, Comparable<LockFeature.ALL_SOME_TYPE>

Enclosing class:
  LockFeature

    public static enum LockFeature.ALL_SOME_TYPE

extends Enum<LockFeature.ALL_SOME_TYPE>

Known lock actions.

Enum Constant Summary
`ALL` Acquire a lock on all requested feature instances.
`SOME` Lock as many of the requested feature instances as possible.

Method Summary
`static LockFeature.ALL_SOME_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LockFeature.ALL_SOME_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final LockFeature.ALL_SOME_TYPE ALL

  Acquire a lock on all requested feature instances. If some feature instances cannot be locked, the operation should fail, and no feature instances should remain locked.

### SOME

    public static final LockFeature.ALL_SOME_TYPE SOME

  Lock as many of the requested feature instances as possible.

Method Detail

### values

    public static final LockFeature.ALL_SOME_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LockFeature.ALL_SOME_TYPE c : LockFeature.ALL_SOME_TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LockFeature.ALL_SOME_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org